{%- from "designate/map.jinja" import server, worker, pool_manager, agent with context %}

designate_task_service_stopped:
  test.show_notification:
    - name: "dump_message_service_stopped_designate"
    - text: "Running dsignate.upgrade.service_stopped"

{%- set dservices = [] %}

{%- if server.get('enabled', false) %}
  {%- do dservices.extend(server.services) %}
{%- endif %}

{%- if pool_manager.get('enabled', false) %}
  {%- do dservices.extend(pool_manager.services) %}
{%- endif %}

{%- if worker.get('enabled', false) %}
  {%- do dservices.extend(worker.services) %}
{%- endif %}

{%- if agent.get('enabled', false) %}
  {%- do dservices.extend(agent.services) %}
{%- endif %}

{%- for dservice in dservices %}
designate_service_stopped_{{ dservice }}:
  service.dead:
    - enable: false
    - name: {{ dservice }}
    {%- if grains.get('noservices') %}
    - onlyif: /bin/false
    {%- endif %}
{%- endfor %}
