{%- from "designate/map.jinja" import server, worker, agent, pool_manager with context %}

designate_task_uprade_verify_service:
  test.show_notification:
    - text: "Running designate.upgrade.verify.service"

{%- if server.get('enabled') or worker.get('enabled') or agent.get('enabled') or pool_manager.get('enabled') %}
{% set host_id = salt['network.get_hostname']() %}

wait_for_service:
  module.run:
    - name: designatev2.service_wait
    - cloud_name: admin_identity
    - host: {{ host_id }}
    - retries: 30
    - timeout: 10
    - time_delta: 5

{% endif %}
